Foreman - Bug #2002

Problem editing Libvirt Host in Foreman
12/05/2012 05:35 AM - Greg Sutcliffe

Status: Resolved

Priority: Normal

Assignee: Marek Hulén

Category: VM management

Target version: 1.2.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

This is on my bleeding edge Foreman (ruby 1.9, puppet 3, psqgl 9.2)
| can create and destroy Libvirt Hosts in Foreman fine, but if | try to edit one, | get this error/trace:

"undefined method "id' for #<Fog::Compute::Libvirt::Nic:0xda7a000>" from
app/views/compute_resources_vms/form/_libvirt.html.erb:11

Related issues:

Related to Foreman - Bug #2586: Upgrade fog when released Closed
Has duplicate Foreman - Bug #2024: (Fog / Libvirt / Rub1.9) cannot edit a Lib... Duplicate
Has duplicate Smart Proxy - Bug #2456: Error while testing compute resources Closed
Associated revisions

Revision b2¢c8312c - 05/29/2013 09:41 AM - Marek Hulan
Refs #2002 - Fog quick hack

Revision d37be454 - 05/29/2013 11:24 AM - Marek Hulan
Refs #2002 - Fog quick hack
(cherry picked from commit b2c8312c6919423a7d77c36468fc8d62dbe874cc)

History

#1 - 12/05/2012 07:03 AM - Ohad Levy

can you confirm this happens on ruby 1.9 only?

#2 - 05/10/2013 02:45 AM - Marek Hulan
- Status changed from New to Assigned

- Assignee set to Marek Hulan

I can confirm. In ruby 1.8 every object has a method id that was replaced by object_id in ruby 1.9. The proper fix is in unreleased fog master branch
(see https://github.com/fog/fog/blob/master/lib/fog/libvirt/models/compute/nic.rb#L10). We can either wait for a new release or make some monkey

patch. However they claim to release soon.

#3 - 05/10/2013 06:10 AM - Greg Sutcliffe

| don't want to put bundler git gems back in the packaging, it makes a mess :). Let's hope they release a new version.

#4 - 05/28/2013 04:34 PM - Dominic Cleal

- Target version set to 1.2.0

| think this is important to fix for 1.2, as we're moving to Ruby 1.9 on the RPMs. | don't think the fix is in the 1.11.1 release, so can we monkey patch?

#5 - 05/29/2013 06:36 AM - Marek Hulan

05/18/2024



https://github.com/fog/fog/blob/master/lib/fog/libvirt/models/compute/nic.rb#L10

- Status changed from Assigned to Ready For Testing

PR https:/github.com/theforeman/foreman/pull/663

Before we close this one, we should create a new issue to remove this quick fix in future.

#6 - 05/29/2013 10:20 AM - Ohad Levy
- Status changed from Ready For Testing to Resolved
